package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ContactUs;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ContactUsMapper")
public interface ContactUsMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ContactUs record);

    ContactUs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ContactUs record);

    List<ContactUs> queryAllContactUs(ContactUs record);

    List<ContactUs> queryContactUsByPage(Map<String, Object> parameter);

    int delete(String id);

    ContactUs queryContactUs(ContactUs record);

    List<ContactUs> query(ContactUs record);
}

